<?php

/**
 * Settings workflow Pagination view class.
 *
 * @package   Settings.View
 *
 * @copyright YetiForce S.A.
 * @license   YetiForce Public License 7.0 (licenses/LicenseEN.txt or yetiforce.com)
 * @author    Adrian Kon <a.kon@yetiforce.com>
 */
/**
 * Workflow pagination view.
 */
class Settings_Workflows_Pagination_View extends Settings_Vtiger_Pagination_View
{
	public function getPagination(App\Request $request)
	{
		$qualifiedModuleName = $request->getModule(false);
		$this->listViewModel = Settings_Vtiger_ListView_Model::getInstance($qualifiedModuleName);
		if (!$request->isEmpty('executionCondition')) {
			$executionCondition = $request->getInteger('executionCondition');
			$this->listViewModel->set('executionCondition', $executionCondition);
		}

		parent::getPagination($request);
	}
}
