'use strict';

/*+***********************************************************************************
 * The contents of this file are subject to the vtiger CRM Public License Version 1.0
 * ("License"); You may not use this file except in compliance with the License
 * The Original Code is:  vtiger CRM Open Source
 * The Initial Developer of the Original Code is vtiger.
 * Portions created by vtiger are Copyright (C) vtiger.
 * All Rights Reserved.
 * Contributor(s): YetiForce S.A.
 *************************************************************************************/"use strict";Vtiger_List_Js("Rss_List_Js",{},{/**
		 * Function get the height of the document
		 * @return <integer> height
		 */getDocumentHeight:function getDocumentHeight(){return jQuery(document).height()},registerRssButtonClickEvent:function registerRssButtonClickEvent(container){var thisInstance=this;container.on("click",".rssAddButton",function(){thisInstance.showRssModal("getRssAddForm").done(function(data){app.showModalWindow(data,function callBackFunction(data){var params=app.validationEngineOptions,form=data.find("#rssAddForm");params.onValidationComplete=function(form,valid){return valid&&thisInstance.rssFeedSave(form),!1},form.validationEngine(params);});});}),container.on("click",".changeFeedSource",function(){thisInstance.showRssModal("getRssWidget").done(function(data){app.showModalWindow(data,function callBackFunction(data){data.on("click",".rssLink",function(e){var element=jQuery(e.currentTarget),id=element.data("id");thisInstance.getRssFeeds(id).done(function(){app.hideModalWindow();});});});});});},breadCrumbsFilter:function breadCrumbsFilter(){},/**
		 * Function show rssAddForm model
		 */showRssModal:function showRssModal(mode){var aDeferred=jQuery.Deferred(),progressInstance=jQuery.progressIndicator({}),actionParams={module:app.getModuleName(),view:"ViewTypes",mode:mode};return AppConnector.request(actionParams).done(function(data){progressInstance.progressIndicator({mode:"hide"}),aDeferred.resolve(data);},function(){}),aDeferred.promise()},/**
		 * Function to save rss feed
		 * @parm form
		 */rssFeedSave:function rssFeedSave(form){var thisInstance=this,data=form.serializeFormData(),progressIndicatorElement=jQuery.progressIndicator({position:"html",blockInfo:{enabled:!0}}),params={module:app.getModuleName(),action:"Save",feedurl:data.feedurl};AppConnector.request(params).done(function(result){if(progressIndicatorElement.progressIndicator({mode:"hide"}),result.result.success)app.hideModalWindow(),thisInstance.getRssFeeds(result.result.id);else {var params={title:app.vtranslate("JS_MESSAGE"),text:app.vtranslate(result.result.message),type:"error"};app.showNotify(params);}});},/**
		 * Function to get the feeds for specific id
		 * @param <integer> id
		 */getRssFeeds:function getRssFeeds(id){var thisInstance=this,aDeferred=jQuery.Deferred(),container=thisInstance.getListViewContainer(),progressIndicatorElement=jQuery.progressIndicator({position:"html",blockInfo:{enabled:!0}}),params={module:app.getModuleName(),view:"List",id:id};return AppConnector.requestPjax(params).done(function(data){aDeferred.resolve(data),container.find("#listViewContents").html(data),thisInstance.setFeedContainerHeight(container),progressIndicatorElement.progressIndicator({mode:"hide"});}),aDeferred.promise()},/**
		 * Function to get the height of the Feed Container
		 * @param container
		 */setFeedContainerHeight:function setFeedContainerHeight(container){var height=this.getDocumentHeight()/1.5;container.find(".feedListContainer").height(height);},/**
		 * Function to register the click of feeds
		 * @param container
		 */registerFeedClickEvent:function registerFeedClickEvent(container){var thisInstance=this;container.on("click",".feedLink",function(e){var element=jQuery(e.currentTarget),url=element.data("url"),frameElement=thisInstance.getFrameElement(url);container.find(".feedFrame").html(frameElement);});},/**
		 * Function to get the iframe element
		 * @param <string> url
		 * @retrun <element> frameElement
		 */getFrameElement:function getFrameElement(url){var progressIndicatorElement=jQuery.progressIndicator({position:"html",blockInfo:{enabled:!0}}),frameElement=jQuery("<iframe>",{id:"feedFrame",scrolling:"auto",width:"100%",height:this.getDocumentHeight()/2});return this.getHtml(url).done(function(html){progressIndicatorElement.progressIndicator({mode:"hide"});var frame=frameElement[0].contentDocument;frame.open(),frame.write(html),frame.close();}),frameElement},/**
		 * Function to get the html contents from url
		 * @param <string> url
		 * @return <string> html contents
		 */getHtml:function getHtml(url){var aDeferred=jQuery.Deferred(),params={module:app.getModuleName(),action:"GetHtml",url:url};return AppConnector.request(params).done(function(data){aDeferred.resolve(data.result.html);}),aDeferred.promise()},/**
		 * Function to register record delete event
		 */registerDeleteRecordClickEvent:function registerDeleteRecordClickEvent(){var container=this.getListViewContainer(),thisInstance=this;container.on("click","#deleteButton",function(){thisInstance.deleteRecord(container);});},/**
		 * Function to delete the record
		 */deleteRecord:function deleteRecord(container){var thisInstance=this,recordId=container.find("#recordId").val();app.showConfirmModal({text:app.vtranslate("LBL_DELETE_CONFIRMATION"),confirmedCallback:function confirmedCallback(){var module=app.getModuleName(),deleteMessage=app.vtranslate("JS_RECORD_GETTING_DELETED"),progressIndicatorElement=jQuery.progressIndicator({message:deleteMessage,position:"html",blockInfo:{enabled:!0}});AppConnector.request({module:module,action:"DeleteAjax",record:recordId}).done(function(data){if(progressIndicatorElement.progressIndicator({mode:"hide"}),data.success)thisInstance.getRssFeeds();else {var params={text:app.vtranslate(data.error.message),title:app.vtranslate("JS_LBL_PERMISSION"),type:"error"};app.showNotify(params);}});}});},/**
		 * Function to register make default button click event
		 */registerMakeDefaultClickEvent:function registerMakeDefaultClickEvent(container){var thisInstance=this;container.on("click","#makeDefaultButton",function(){thisInstance.makeDefault(container);});},/**
		 * Function to make a record as default rss feed
		 */makeDefault:function makeDefault(container){var recordId=container.find("#recordId").val(),module=app.getModuleName(),progressIndicatorElement=jQuery.progressIndicator({position:"html",blockInfo:{enabled:!0}});AppConnector.request({module:module,action:"MakeDefaultAjax",record:recordId}).done(function(data){if(progressIndicatorElement.progressIndicator({mode:"hide"}),data.success){var params={title:app.vtranslate("JS_MESSAGE"),text:app.vtranslate(data.result.message),type:"info"};app.showNotify(params);}else app.showNotify({text:app.vtranslate(data.error.message),title:app.vtranslate("JS_LBL_PERMISSION"),type:"error"});});},registerEvents:function registerEvents(){this._super();var container=this.getListViewContainer();this.registerRssButtonClickEvent(container),this.registerFeedClickEvent(container),this.registerMakeDefaultClickEvent(container),this.setFeedContainerHeight(container),this.registerDeleteRecordClickEvent();}});
//# sourceMappingURL=List.min.js.map
