'use strict';

/* {[The file is published on the basis of YetiForce Public License 7.0 that can be found in the following directory: licenses/LicenseEN.txt or yetiforce.com]} */"use strict";function _toConsumableArray(arr){return _arrayWithoutHoles(arr)||_iterableToArray(arr)||_unsupportedIterableToArray(arr)||_nonIterableSpread()}function _nonIterableSpread(){throw new TypeError("Invalid attempt to spread non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}function _unsupportedIterableToArray(o,minLen){if(o){if("string"==typeof o)return _arrayLikeToArray(o,minLen);var n=Object.prototype.toString.call(o).slice(8,-1);return "Object"===n&&o.constructor&&(n=o.constructor.name),"Map"===n||"Set"===n?Array.from(o):"Arguments"===n||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)?_arrayLikeToArray(o,minLen):void 0}}function _iterableToArray(iter){if("undefined"!=typeof Symbol&&null!=iter[Symbol.iterator]||null!=iter["@@iterator"])return Array.from(iter)}function _arrayWithoutHoles(arr){if(Array.isArray(arr))return _arrayLikeToArray(arr)}function _arrayLikeToArray(arr,len){(null==len||len>arr.length)&&(len=arr.length);for(var i=0,arr2=new Array(len);i<len;i++)arr2[i]=arr[i];return arr2}function _defineProperty(obj,key,value){return key=_toPropertyKey(key),key in obj?Object.defineProperty(obj,key,{value:value,enumerable:!0,configurable:!0,writable:!0}):obj[key]=value,obj}function _toPropertyKey(t){var i=_toPrimitive(t,"string");return "symbol"==_typeof(i)?i:i+""}function _toPrimitive(t,r){if("object"!=_typeof(t)||!t)return t;var e=t[Symbol.toPrimitive];if(void 0!==e){var i=e.call(t,r||"default");if("object"!=_typeof(i))return i;throw new TypeError("@@toPrimitive must return a primitive value.")}return ("string"===r?String:Number)(t)}function _typeof(o){"@babel/helpers - typeof";return _typeof="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(o){return typeof o}:function(o){return o&&"function"==typeof Symbol&&o.constructor===Symbol&&o!==Symbol.prototype?"symbol":typeof o},_typeof(o)}$.Class("Vtiger_Inventory_Js",{inventoryInstance:!1,/**
		 * Get inventory instance
		 * @param {jQuery} container
		 * @returns {Vtiger_Inventory_Js}
		 */getInventoryInstance:function getInventoryInstance(container){if(!1===this.inventoryInstance){var moduleClassName=container.find("[name=\"module\"]").val()+"_Inventory_Js";"undefined"==typeof window[moduleClassName]&&(moduleClassName="Vtiger_Inventory_Js"),"undefined"!=typeof window[moduleClassName]&&(this.inventoryInstance=new window[moduleClassName],this.inventoryInstance.registerEvents(container));}return this.inventoryInstance}},{form:!1,discount:!1,tax:!1,container:!1,inventoryContainer:!1,inventoryHeadContainer:!1,summaryTaxesContainer:!1,summaryDiscountContainer:!1,summaryCurrenciesContainer:!1,rowClass:"tr.inventoryRow",discountModalFields:["aggregationType","globalDiscount","groupCheckbox","groupDiscount","individualDiscount","individualDiscountType","additionalDiscount"],taxModalFields:["aggregationType","globalTax","groupCheckbox","groupTax","individualTax","regionalTax"],changesQueue:[],inventoryData:{},/**
		 * Get current form element
		 * @returns {jQuery}
		 */getForm:function getForm(){return this.form},/**
		 * Get current form element
		 * @returns {jQuery}
		 */loadConfig:function loadConfig(){var discountConfig=this.form.find(".js-discount-config"),taxConfig=this.form.find(".js-tax-config");this.discount=discountConfig.length?JSON.parse(discountConfig.val()):{},this.tax=taxConfig.length?JSON.parse(taxConfig.val()):{},0===$("#recordId").length&&this.setDefaultTaxSummary();},/**
		 * Function that is used to get the line item container
		 * @return : jQuery object
		 */getContainer:function getContainer(){return !1===this.container&&(this.container=$(".js-inv-container")),this.container},getInventoryItemsContainer:function getInventoryItemsContainer(){return this.getContainer().find(".inventoryItems")},getInventoryHeadContainer:function getInventoryHeadContainer(){return !1===this.inventoryHeadContainer&&(this.inventoryHeadContainer=$(".inventoryHeader")),this.inventoryHeadContainer},getInventorySummaryDiscountContainer:function getInventorySummaryDiscountContainer(){return !1===this.summaryDiscountContainer&&(this.summaryDiscountContainer=$(".inventorySummaryDiscounts")),this.summaryDiscountContainer},getInventorySummaryTaxesContainer:function getInventorySummaryTaxesContainer(){return !1===this.summaryTaxesContainer&&(this.summaryTaxesContainer=$(".inventorySummaryTaxes")),this.summaryTaxesContainer},getInventorySummaryCurrenciesContainer:function getInventorySummaryCurrenciesContainer(){return !1===this.summaryCurrenciesContainer&&(this.summaryCurrenciesContainer=$(".inventorySummaryCurrencies")),this.summaryCurrenciesContainer},getInventoryRowGroup:function getInventoryRowGroup(groupId){return $(".inventoryRowGroup[data-numgroup=\"".concat(groupId,"\"]"))},findRow:function findRow(rowId){return this.getInventoryItemsContainer().find("".concat(this.rowClass,"[numrow=\"").concat(rowId,"\"]"))},getNextLineItemRowNumber:function getNextLineItemRowNumber(){var inventoryItemsNo=$("#inventoryItemsNo"),rowNumber=parseInt(inventoryItemsNo.val())+1;return inventoryItemsNo.val(rowNumber),rowNumber},getAccountId:function getAccountId(){var accountReferenceField=$("#accountReferenceField").val();return ""==accountReferenceField?"":$("[name=\""+accountReferenceField+"\"]").val()},checkDeleteIcon:function checkDeleteIcon(){1<this.getInventoryItemsContainer().find(this.rowClass).length?this.showLineItemsDeleteIcon():app.getMainParams("isRequiredInventory")&&this.hideLineItemsDeleteIcon();},showLineItemsDeleteIcon:function showLineItemsDeleteIcon(){this.getInventoryItemsContainer().find(".deleteRow").removeClass("d-none");},hideLineItemsDeleteIcon:function hideLineItemsDeleteIcon(){this.getInventoryItemsContainer().find(".deleteRow").addClass("d-none");},getClosestRow:function getClosestRow(element){return element.closest(this.rowClass)},/**
		 * Function which will return the basic row which can be used to add new rows
		 * @return jQuery object which you can use to
		 */getBasicRow:function getBasicRow(){return this.getForm().find(".js-inventory-base-item").eq(0).clone(!0,!0)},/**
		 *
		 * @param {string} val
		 */setBasicRowTaxName:function setBasicRowTaxName(val){var basicRow=this.getForm().find(".js-inventory-base-item");$(".js-tax-name",basicRow).toggleClass("d-none",""===val),$(".js-tax-name",basicRow).text(val);},isRecordSelected:function isRecordSelected(element){var parentRow=element.closest("tr"),productField=parentRow.find(".recordLabel");return productField.validationEngine("validate")},getTaxModeSelectElement:function getTaxModeSelectElement(row){var items=this.getInventoryHeadContainer();return 0<items.find("thead .js-taxmode").length?$(".js-taxmode"):row?row.find(".js-taxmode"):$()},isIndividualTaxMode:function isIndividualTaxMode(row){var selectedOption=this.getTaxModeSelectElement(row).find("option:selected");return 0===selectedOption.length?1==this.tax.default_mode:1==selectedOption.val()},isGroupTaxMode:function isGroupTaxMode(){var selectedOption=this.getTaxModeSelectElement();return selectedOption&&(selectedOption=selectedOption.find("option:selected"))&&0!==selectedOption.length?0==selectedOption.val():0==this.tax.default_mode},showIndividualTax:function showIndividualTax(){var self=this,groupTax=self.getInventoryItemsContainer().find(".js-inv-tax_global"),items=self.getInventoryItemsContainer().find(".js-inventory-items-body"),newRow=$("#blackIthemTable").find("tbody");if(self.isIndividualTaxMode()){groupTax.addClass("d-none"),items.find(".changeTax").removeClass("d-none"),newRow.find(".changeTax").removeClass("d-none");var parentRow=self.getInventoryItemsContainer(),taxParam={aggregationType:"global"};parentRow.find(self.rowClass).each(function(){var thisItem=$(this);taxParam.globalTax=parseFloat(thisItem.find(".js-tax").attr("data-default-tax")),self.setTaxParam(thisItem,taxParam),self.setTaxName(thisItem,"");});}else self.setTaxParam(items,[]),self.setDefaultGlobalTax(),groupTax.removeClass("d-none"),items.find(".changeTax").addClass("d-none"),newRow.find(".changeTax").addClass("d-none");self.rowsCalculations();},setDefaultGlobalTax:function setDefaultGlobalTax(){var self=this,taxDefaultElement=self.getInventorySummaryTaxesContainer().find(".js-default-tax"),taxDefaultValue=taxDefaultElement.data("tax-default-value"),taxDefaultId=taxDefaultElement.data("tax-default-id"),parentRow=self.getInventoryItemsContainer(),isGroupTax=self.isGroupTaxMode(),summaryContainer=$("#blackIthemTable");if(isGroupTax){var taxParam=self.getTaxParams(summaryContainer);if(!1===taxParam&&taxDefaultValue&&(taxParam={aggregationType:"global"},taxParam.globalTax=taxDefaultValue,taxParam.globalId=taxDefaultId,taxParam.individualTax=""),taxParam){self.setTaxParam(summaryContainer,taxParam),self.setTaxParam(parentRow,taxParam),parentRow.closest(".inventoryItems").data("taxParam",JSON.stringify(taxParam));var taxName=taxDefaultElement.data("tax-default-name");parentRow.find(self.rowClass).each(function(){self.quantityChangeActions($(this)),self.setTaxName($(this),taxName);});}else parentRow.find(self.rowClass).each(function(){self.setTaxName($(this),"");});}else self.setTaxParam(summaryContainer,[]),parentRow.closest(".inventoryItems").data("taxParam","[]");},/**
		 * Get discount mode
		 * @returns {int}
		 */getDiscountMode:function getDiscountMode(){var selectedOption=this.getContainer().find(".js-discountmode option:selected");return selectedOption.length?selectedOption.val():this.discount.default_mode},getCurrency:function getCurrency(){return $(".js-currency",this.getInventoryHeadContainer()).find("option:selected").val()},/**
		 * Get discount aggregation
		 * @returns {int}
		 */getDiscountAggregation:function getDiscountAggregation(){var element=$(".js-discount_aggreg",this.getInventoryHeadContainer()).find("option:selected");return element.length?parseInt(element.val()):parseInt(this.discount.aggregation)},getTaxParams:function getTaxParams(row){var taxParams=row.find(".taxParam").val();return ""!=taxParams&&"[]"!=taxParams&&null!=taxParams&&JSON.parse(taxParams)},getQuantityValue:function getQuantityValue(row){return $(".qty",row).getNumberFromValue()},getUnitPriceValue:function getUnitPriceValue(row){return $(".unitPrice",row).getNumberFromValue()},getNetPrice:function getNetPrice(row){return $(".netPrice",row).getNumberFromValue()},getTotalPrice:function getTotalPrice(row){return $(".totalPrice",row).getNumberFromValue()},getGrossPrice:function getGrossPrice(row){return $(".grossPrice",row).getNumberFromValue()},getPurchase:function getPurchase(row){var element=$(".purchase",row),purchase=0;return 0<element.length&&(purchase=App.Fields.Double.formatToDb(element.val())),purchase},getSummaryGrossPrice:function getSummaryGrossPrice(){var self=this,price=0;return this.getInventoryItemsContainer().find(self.rowClass).each(function(){price+=self.getGrossPrice($(this));}),App.Fields.Double.formatToDb(price)},/**
		 * Set currency
		 * @param {int} val
		 */setCurrency:function setCurrency(val){this.getInventoryHeadContainer().find(".js-currency").val(val).trigger("change");},/**
		 * Set currency param
		 * @param {string} val json string
		 */setCurrencyParam:function setCurrencyParam(val){this.getInventoryHeadContainer().find(".js-currencyparam").val(val);},/**
		 * Set discount mode
		 * @param {int} val
		 */setDiscountMode:function setDiscountMode(val){this.getInventoryHeadContainer().find(".js-discountmode").val(val).trigger("change");},/**
		 * Set tax mode
		 * @param {int} val
		 */setTaxMode:function setTaxMode(val){this.getInventoryHeadContainer().find(".js-taxmode").val(val).trigger("change");},/**
		 * Set inventory id
		 * @param {jQuery} row
		 * @param {int} val
		 * @param {string} display
		 */setName:function setName(row,val,display){row.find(".js-name").val(val).trigger("change"),row.find(".js-name_display").val(display).attr("readonly","true").trigger("change");},/**
		 * Set inventory row quantity
		 * @param {jQuery} row
		 * @param {int} val
		 */setQuantity:function setQuantity(row,val){row.find(".qty").val(val).trigger("change");},/**
		 * Set unit original (db) value
		 * @param {jQuery} row
		 * @param {string} val
		 * @param {string} display
		 */setUnit:function setUnit(row,val,display){row.find(".unit").val(val).trigger("change"),row.find(".unitText").text(display).trigger("change");},/**
		 * Set subUnit original (db) value
		 * @param {jQuery} row
		 * @param {string} val
		 * @param {string} display
		 */setSubUnit:function setSubUnit(row,val,display){row.find(".subunit").val(val),row.find(".subunitText").val(display);},/**
		 * Set inventory row comment
		 * @param {jQuery} row
		 * @param {string} val
		 */setComment:function setComment(row,val){row.parent().find("[numrowex="+row.attr("numrow")+"] .comment").val(val);},/**
		 * Set inventory row unit price
		 * @param {jQuery} row
		 * @param {string} val
		 */setUnitPrice:function setUnitPrice(row,val){var userFormat=!!(2<arguments.length&&void 0!==arguments[2])&&arguments[2];return !1===userFormat&&(val=App.Fields.Double.formatToDisplay(val,App.Fields.Double.FORMAT_ROUND|App.Fields.Double.FORMAT_TRUNCATE_TRAILING_ZEROS)),row.find(".unitPrice").val(val).attr("title",val),this},/**
		 * Set inventory row purchase
		 * @param {jQuery} row
		 * @param {string} val
		 */setPurchase:function setPurchase(row,val){var userFormat=!!(2<arguments.length&&void 0!==arguments[2])&&arguments[2];return !1===userFormat&&(val=App.Fields.Double.formatToDisplay(val,App.Fields.Double.FORMAT_ROUND|App.Fields.Double.FORMAT_TRUNCATE_TRAILING_ZEROS)),row.find(".purchase").val(val),this},/**
		 * Set inventory row net price
		 * @param {jQuery} row
		 * @param {string} val
		 */setNetPrice:function setNetPrice(row,val){var userFormat=!!(2<arguments.length&&arguments[2]!==void 0)&&arguments[2];!1===userFormat&&(val=App.Fields.Double.formatToDisplay(val)),$(".netPriceText",row).text(val),$(".netPrice",row).val(val);},/**
		 * Set inventory row gross price
		 * @param {jQuery} row
		 * @param {string} val
		 */setGrossPrice:function setGrossPrice(row,val){var userFormat=!!(2<arguments.length&&arguments[2]!==void 0)&&arguments[2];!1===userFormat&&(val=App.Fields.Double.formatToDisplay(val)),$(".grossPriceText",row).text(val),$(".grossPrice",row).val(val);},/**
		 * Set inventory row total price
		 * @param {jQuery} row
		 * @param {string} val
		 */setTotalPrice:function setTotalPrice(row,val){var userFormat=!!(2<arguments.length&&arguments[2]!==void 0)&&arguments[2];!1===userFormat&&(val=App.Fields.Double.formatToDisplay(val)),$(".totalPriceText",row).text(val),$(".totalPrice",row).val(val);},/**
		 * Set inventory row margin
		 * @param {jQuery} row
		 * @param {string} val
		 */setMargin:function setMargin(row,val){var userFormat=!!(2<arguments.length&&arguments[2]!==void 0)&&arguments[2];!1===userFormat&&(val=App.Fields.Double.formatToDisplay(val)),$(".margin",row).val(val);},/**
		 * Set inventory row margin percent
		 * @param {jQuery} row
		 * @param {string} val
		 */setMarginP:function setMarginP(row,val){var userFormat=!!(2<arguments.length&&arguments[2]!==void 0)&&arguments[2];!1===userFormat&&(val=App.Fields.Double.formatToDisplay(val)),$(".marginp",row).val(val);},/**
		 * Set inventory row discount
		 * @param {jQuery} row
		 * @param {string} val
		 */setDiscount:function setDiscount(row,val){var userFormat=!!(2<arguments.length&&arguments[2]!==void 0)&&arguments[2];!1===userFormat&&(val=App.Fields.Double.formatToDisplay(val)),$(".discount",row).val(val);},/**
		 * Set inventory row discount param
		 * @param {jQuery} row
		 * @param {string} val
		 */setDiscountParam:function setDiscountParam(row,val){$(".discountParam",row).val(JSON.stringify(val));},/**
		 * Set inventory row tax
		 * @param {jQuery} row
		 * @param {string} val
		 */setTax:function setTax(row,val){var userFormat=!!(2<arguments.length&&arguments[2]!==void 0)&&arguments[2];!1===userFormat&&(val=App.Fields.Double.formatToDisplay(val)),$(".tax",row).val(val);},/**
		 * Set inventory row tax percent
		 * @param {jQuery} row
		 * @param {string} val
		 */setTaxPercent:function setTaxPercent(row,val){var userFormat=!!(2<arguments.length&&arguments[2]!==void 0)&&arguments[2];!1===userFormat&&(val=App.Fields.Double.formatToDisplay(val)),$(".js-tax-percent",row).val(val);},getTaxPercent:function getTaxPercent(row){return $(".js-tax-percent",row).val()},/**
		 * Set inventory row tax param
		 * @param {jQuery} row
		 * @param {string} val
		 */setTaxParam:function setTaxParam(row,val){$(".taxParam",row).val(JSON.stringify(val));},setTaxName:function setTaxName(row,val){$(".js-tax-name",row).toggleClass("d-none",""===val),$(".js-tax-name",row).text(val);},quantityChangeActions:function quantityChangeActions(row){this.pushChange("quantity",row);},rowsCalculations:function rowsCalculations(){var self=this;this.getInventoryItemsContainer().find(self.rowClass).each(function(){var row=$(this);self.syncHeaderData(row);}),self.calculateItemNumbers(),self.pushChange("rowsCalculations");},/**
		 * Returns true if currency exchange modal has form for selecting CIT exchange
		 * @returns {boolean}
		 */hasCitExchange:function hasCitExchange(){return 0<this.getInventoryHeadContainer().find(".js-currency-tab-cit").length},/**
		 * Get Items
		 * @returns {jQuery} Items
		 */getItems:function getItems(){return this.getInventoryItemsContainer().find(".inventoryRow")},/**
		 * Get groups
		 * @returns {jQuery} Group rows
		 */getGroups:function getGroups(){return this.getInventoryItemsContainer().find(".inventoryRowGroup")},/**
		 * Get group items
		 * @param {jQuery} groupRow
		 * @returns {jQuery} Items
		 */getGroupItems:function getGroupItems(groupRow){return groupRow.nextUntil("tr.inventoryRowGroup").filter("tr.inventoryRow")},/**
		 * Get item group
		 * @param {jQuery} row
		 * @returns {jQuery} group row
		 */getGroupFromItem:function getGroupFromItem(row){for(var classElement="inventoryRowGroup";row.is("tr")&&!row.hasClass(classElement);)row=row.prev();return row.hasClass(classElement)?row:null},calculateSummary:function calculateSummary(element,rows){var self=this,sum=0,fieldName="string"==typeof element?element:element.data("sumfield");return rows||(rows=this.getInventoryItemsContainer().find(self.rowClass)),rows.each(function(){var e=$(this).find("."+fieldName);0<e.length&&(sum+=App.Fields.Double.formatToDb(e.val()));}),"object"===_typeof(element)&&(element.get(0).innerText=App.Fields.Double.formatToDisplay(sum)),sum},setTaxSummary:function setTaxSummary(taxSummary){var self=this,container=self.getInventorySummaryTaxesContainer();for(var index in container.find(".js-panel__body").html(""),taxSummary.groups){var row=container.find(".d-none .form-group").clone();row.find(".percent").text(index),row.find("input").val(taxSummary.groups[index]),row.appendTo(container.find(".js-panel__body"));}container.find(".js-panel__footer input").val(taxSummary.total);},setDefaultTaxSummary:function setDefaultTaxSummary(){var taxPercent=this.getTaxPercent(0)+"%";this.showTaxOptions(),this.setTaxSummary({groups:_defineProperty({},taxPercent,0)});},showTaxOptions:function showTaxOptions(){var groupTax=this.getInventoryItemsContainer().find(".js-inv-tax_global"),items=this.getInventoryItemsContainer().find(".js-inventory-items-body"),newRow=$("#blackIthemTable").find("tbody");this.isIndividualTaxMode()?(groupTax.addClass("d-none"),items.find(".changeTax").removeClass("d-none"),newRow.find(".changeTax").removeClass("d-none")):(groupTax.removeClass("d-none"),items.find(".changeTax").addClass("d-none"),newRow.find(".changeTax").addClass("d-none"));},setCurrencySummary:function setCurrencySummary(currencySummary){var self=this,container=self.getInventorySummaryCurrenciesContainer();if(1>Object.keys(currencySummary).length)return void container.addClass("d-none");for(var index in container.removeClass("d-none"),container.find(".js-panel__body").html(""),currencySummary.groups){var row=container.find(".d-none .form-group").clone();row.find(".percent").text(index),row.find("input").val(currencySummary.groups[index]),row.appendTo(container.find(".js-panel__body"));}container.find(".js-panel__footer input").val(currencySummary.total);},setInventorySummary:function setInventorySummary(summary){this.getInventoryItemsContainer().find("tfoot [data-sumcolumn]").each(function(_n,e){var element=$(e),name=element.data("sumcolumn");summary.hasOwnProperty(name)&&(element.get(0).innerText=summary[name]);});},setDiscountSummary:function setDiscountSummary(summary){this.getInventorySummaryDiscountContainer().find("input").val(summary);},setGroupsSummary:function setGroupsSummary(groupsSummary){var _this=this,_loop=function _loop(){var summary=groupsSummary[groupId];_this.getInventoryRowGroup(groupId).find(".js-inv-container-group-summary").each(function(_,e){var element=$(e),name=element.data("sumcolumn");summary.hasOwnProperty(name)&&(element.get(0).innerText=summary[name]);});};for(var groupId in groupsSummary)_loop();},applyRowChange:function applyRowChange(rowId,rowData){var _rowData$total,_rowData$gross,_rowData$net,_rowData$discount,_rowData$tax,_rowData$tax_percent,_rowData$margin,_rowData$marginp,row=this.findRow(rowId);this.setTotalPrice(row,null!==(_rowData$total=rowData.total)&&void 0!==_rowData$total?_rowData$total:0,!0),this.setGrossPrice(row,null!==(_rowData$gross=rowData.gross)&&void 0!==_rowData$gross?_rowData$gross:0,!0),this.setNetPrice(row,null!==(_rowData$net=rowData.net)&&void 0!==_rowData$net?_rowData$net:0,!0),this.setDiscount(row,null!==(_rowData$discount=rowData.discount)&&void 0!==_rowData$discount?_rowData$discount:0,!0),this.setTax(row,null!==(_rowData$tax=rowData.tax)&&void 0!==_rowData$tax?_rowData$tax:0,!0),this.setTaxPercent(row,null!==(_rowData$tax_percent=rowData.tax_percent)&&void 0!==_rowData$tax_percent?_rowData$tax_percent:0,!0),this.setMargin(row,null!==(_rowData$margin=rowData.margin)&&void 0!==_rowData$margin?_rowData$margin:0,!0),this.setMarginP(row,null!==(_rowData$marginp=rowData.marginp)&&void 0!==_rowData$marginp?_rowData$marginp:0,!0);var discountParam=rowData.discountparam;discountParam&&this.setDiscountParam(row,JSON.parse(discountParam));var discountMode=rowData.discountmode;discountParam&&discountMode==this.DISCOUNT_MODE_GROUP?this.setDiscountParam(this.getGroupFromItem(row),JSON.parse(discountParam)):discountParam&&discountMode==this.DISCOUNT_MODE_GLOBAL&&this.setDiscountParam($("#blackIthemTable"),JSON.parse(discountParam)),app.event.trigger("Inventory.RowCalculations",this,row);},AGGREGATION_CANNOT_BE_COMBINED:0,AGGREGATION_IN_TOTAL:1,AGGREGATION_CASCADE:2,updateRowSequence:function updateRowSequence(){var items=this.getInventoryItemsContainer();items.find(this.rowClass).each(function(index){$(this).find(".sequence").val(index+1);});},registerInventorySaveData:function registerInventorySaveData(){var _this2=this;app.event.on("EditView.preValidation",function(_e,_view){_this2.showAllItems();}),this.form.on(Vtiger_Edit_Js.recordPreSave,function(){if(_this2.syncHeaderData(),!_this2.checkLimits(_this2.form))return !1});},syncHeaderData:function syncHeaderData(container){var _this3=this;this.renumberHeaderItems();var header=this.getInventoryHeadContainer();"undefined"==typeof container&&(container=this.getContainer()),container.find(".js-sync").each(function(_,e){var value,element=$(e),name=element.data("syncId"),classElement=".js-"+element.data("syncId");if("grouplabel"===name||"groupid"===name){for(var row=element.closest(_this3.rowClass);row.is("tr")&&1>row.prev().find(classElement).length;)row=row.prev();value=row.prev().find(classElement);}else value=header.find(classElement);element.val(value.length?value.val():element.data("default"));});},/**
		 * Renumber header items
		 */renumberHeaderItems:function renumberHeaderItems(){this.getContainer().find(".js-inv-container-content .js-groupid").each(function(n,e){e.value=n+1,$(e).parent().parent().parent().attr("data-numgroup",n+1);});},/**
		 * Function which will be used to handle price book popup
		 * @params :  element - popup image element
		 */pricebooksModalHandler:function pricebooksModalHandler(element){var _this4=this,lineItemRow=element.closest(this.rowClass),rowName=lineItemRow.find(".rowName"),currencyId=this.getCurrency()||CONFIG.defaultCurrencyId;app.showRecordsList({module:"PriceBooks",src_module:$("[name=\"popupReferenceModule\"]",rowName).val(),src_record:$(".sourceField",rowName).val(),src_field:$("[name=\"popupReferenceModule\"]",rowName).data("field"),search_params:JSON.stringify([[["currency_id","e",currencyId],["active","e",1]]]),lockedFields:["currency_id","active"],cvEnabled:!1,currency_id:currencyId,additionalData:{currency_id:currencyId}},function(_modal,instance){instance.setSelectEvent(function(responseData){AppConnector.request({module:"PriceBooks",action:"ProductListPrice",record:responseData.id,src_record:$(".sourceField",rowName).val()}).done(function(data){data.result?(_this4.setUnitPrice(lineItemRow,data.result),_this4.quantityChangeActions(lineItemRow)):app.errorLog("Incorrect data",responseData);});});});},subProductsCache:[],loadSubProducts:function loadSubProducts(parentRow,indicator){var progressInstance,self=this,recordId=$("input.sourceField.js-name",parentRow).val(),recordModule=parentRow.find(".rowName input[name=\"popupReferenceModule\"]").val();if(self.removeSubProducts(parentRow),"0"==recordId||""==recordId||0>$.inArray(recordModule,["Products","Services"]))return !1;if(self.subProductsCache[recordId])return self.addSubProducts(parentRow,self.subProductsCache[recordId]),!1;var subProductParams={module:"Products",action:"SubProducts",record:recordId};indicator&&(progressInstance=$.progressIndicator()),AppConnector.request(subProductParams).done(function(data){var responseData=data.result;self.subProductsCache[recordId]=responseData,self.addSubProducts(parentRow,responseData),progressInstance&&progressInstance.hide();}).fail(function(){progressInstance&&progressInstance.hide();});},removeSubProducts:function removeSubProducts(parentRow){var subProductsContainer=$(".subProductsContainer ul",parentRow);subProductsContainer.find("li").remove();},addSubProducts:function addSubProducts(parentRow,responseData){var subProductsContainer=$(".subProductsContainer ul",parentRow);for(var id in responseData)subProductsContainer.append($("<li>").text(responseData[id]));},mapResultsToFields:function mapResultsToFields(referenceModule,parentRow,responseData){var unit,_this5=this,taxParam=[],self=this,isGroupTax=self.isGroupTaxMode(),_loop2=function _loop2(){var recordData=responseData[id],description=recordData.description,unitPriceValues=recordData.unitPriceValues,unitPriceValuesJson=JSON.stringify(unitPriceValues);// Load taxes detail
if(isGroupTax){var parameters=parentRow.closest(".inventoryItems").data("taxParam");parameters&&(taxParam=JSON.parse(parameters));}else recordData.taxes&&(taxParam={aggregationType:recordData.taxes.type},taxParam[recordData.taxes.type+"Tax"]=recordData.taxes.value);for(var field in recordData.taxes&&parentRow.find(".js-tax").attr("data-default-tax",recordData.taxes.value),self.setPurchase(parentRow,recordData.purchase),self.setTaxParam(parentRow,taxParam),self.setTax(parentRow,0),self.setTaxPercent(parentRow,0),recordData.autoFields){var inputField=parentRow.find("input.".concat(field,",select.").concat(field));"checkbox"===inputField.attr("type")?inputField.prop("checked",recordData.autoFields[field]):inputField.is("select")?inputField.val(recordData.autoFields[field]).trigger("change"):inputField.val(recordData.autoFields[field]),recordData.autoFields[field+"Text"]&&parentRow.find("."+field+"Text").text(recordData.autoFields[field+"Text"]);}void 0!==recordData.price&&self.setUnitPrice(parentRow,recordData.price),void 0!==unitPriceValuesJson&&$("input.unitPrice",parentRow).attr("list-info",unitPriceValuesJson);var commentElement=$("textarea.js-inventory-item-comment",parentRow.next()),editorInstance=CKEDITOR.instances[commentElement.attr("id")];editorInstance?editorInstance.setData(description,{callback:function callback(){this.checkDirty()||this.setData(description);}}):commentElement.val(description),_this5.markCommentBtn(parentRow),"undefined"!=typeof recordData.autoFields.unit&&(unit=recordData.autoFields.unit),app.event.trigger("Inventory.SelectionItem",self,parentRow,recordData,referenceModule),_this5.triggerQtyParam(unit,recordData.qtyPerUnit,parentRow);};for(var id in responseData)_loop2();"Products"===referenceModule&&self.loadSubProducts(parentRow,!0),self.quantityChangeActions(parentRow);},/**
		 * Update qtyparam
		 * @param {null|string} unit
		 * @param {int} perUnit
		 * @param {jQuery} parentRow
		 */triggerQtyParam:function triggerQtyParam(unit,perUnit,parentRow){var validationEngine;switch(unit){default:$(".qtyParamInfo",parentRow).addClass("d-none"),validationEngine="validate[required,funcCall[Vtiger_NumberUserFormat_Validator_Js.invokeValidation]]";break;case"pack":$(".qtyParamInfo",parentRow).removeClass("d-none").removeClass("active"),$(".qtyParamInfo",parentRow).attr("data-content",perUnit),validationEngine="validate[required,funcCall[Vtiger_WholeNumber_Validator_Js.invokeValidation]]";break;case"pcs":$(".qtyParamInfo",parentRow).addClass("d-none"),validationEngine="validate[required,funcCall[Vtiger_WholeNumber_Validator_Js.invokeValidation]]";}$("input.qty",parentRow).attr("data-validation-engine",validationEngine);},saveDiscountsParameters:function saveDiscountsParameters(parentRow,modal){var typeName="aggregationType",panels=modal.find("[name=\"aggregationType\"]:checked"),info={};info.aggregationType=[],panels.each(function(){var type=$(this).val(),container=$(this).closest(".js-panel");1<panels.length?info.aggregationType.push(type):info.aggregationType=type,container.find("[name=\""+type+"Discount\"]").each(function(){var param=type+"Discount",element=$(this);switch(type){case"group":element.closest(".input-group").find(".groupCheckbox").prop("checked")&&(info[param]=App.Fields.Double.formatToDb(element.val()));break;case"individual":var name="individualDiscountType";info[name]=container.find("[name=\"individualDiscountType\"]:checked").val(),info[param]=App.Fields.Double.formatToDb(element.val());break;case"global":case"additional":info[param]=App.Fields.Double.formatToDb(element.val());}});}),modal.find(".js-inv--discount-type.markup:checked").length&&(info.type="markup");var discountMode=modal.find(".discountMode").val();discountMode==this.DISCOUNT_MODE_GROUP?this.setDiscountParam(this.getGroupItems(parentRow),info):discountMode==this.DISCOUNT_MODE_GLOBAL&&this.setDiscountParam($("#blackIthemTable"),info),this.setDiscountParam(parentRow,info);},getTaxesParameters:function getTaxesParameters(modal){var info={},extend=["aggregationType","groupCheckbox","individualTaxType"];return $.each(this.taxModalFields,function(_,param){0<=$.inArray(param,extend)?1<modal.find("[name=\""+param+"\"]:checked").length?(info[param]=[],modal.find("[name=\""+param+"\"]:checked").each(function(){info[param].push($(this).val());})):info[param]=modal.find("[name=\""+param+"\"]:checked").val():info[param]=App.Fields.Double.formatToDb(modal.find("[name=\""+param+"\"]").val());}),modal.find("[name=\"aggregationType\"][value=\"global\"]").is(":checked")&&(info.globalId=modal.find("[name=\"globalTax\"] option:selected").data("id")),info},saveTaxesParameters:function saveTaxesParameters(parentRow,parameters){parentRow.data("taxParam",JSON.stringify(parameters)),this.setTaxParam(parentRow,parameters),this.setTaxParam($("#blackIthemTable"),parameters);},showExpandedRow:function showExpandedRow(row){var inventoryRowExpanded=this.getInventoryItemsContainer().find("[numrowex=\""+row.attr("numrow")+"\"]"),element=row.find(".toggleVisibility");element.data("status","1"),element.removeClass(element.data("off")).addClass(element.data("on")),inventoryRowExpanded.removeClass("d-none"),this.markCommentBtn(row);},hideExpandedRow:function hideExpandedRow(row){var inventoryRowExpanded=this.getInventoryItemsContainer().find("[numrowex=\""+row.attr("numrow")+"\"]"),element=row.find(".toggleVisibility");element.data("status","0"),element.removeClass(element.data("on")).addClass(element.data("off")),inventoryRowExpanded.addClass("d-none"),this.markCommentBtn(row);},/**
		 * Mark button for extended fields
		 * @param {jQuery} row
		 */markCommentBtn:function markCommentBtn(row){var rowExpanded=this.getInventoryItemsContainer().find("[numrowex=\""+row.attr("numrow")+"\"]"),value=rowExpanded.find(".js-inventory-item-comment").val(),element=row.find(".js-inv-item-btn-icon"),removeClass=element.data("active"),addClass=element.data("inactive");value&&(removeClass=addClass,addClass=element.data("active")),element.removeClass(removeClass).addClass(addClass);},initTaxParameters:function initTaxParameters(parentRow,modal){var parameters;parameters=parentRow.data("taxParam")?parentRow.data("taxParam"):parentRow.find(".taxParam").val();parameters&&(parameters=JSON.parse(parameters.toString()),$.each(this.taxModalFields,function(_,param){var parameter=parameters[param],field=modal.find("[name=\""+param+"\"]");if("checkbox"===field.attr("type")||"radio"===field.attr("type")){var value,array=parameter;$.isArray(array)||(array=[array]),$.each(array,function(_,arrayValue){value=field.filter("[value=\""+arrayValue+"\"]").prop("checked",!0),"aggregationType"===param&&(value.closest(".js-panel").find(".js-panel__body").removeClass("d-none"),value.closest(".js-panel").addClass("js-active"));});}else if("globalTax"===param)"globalId"in parameters?field.find("option[data-id=\""+parameters.globalId+"\"]").prop("selected","selected").change():field.find("option[data-db=\""+parameter+"\"]").first().prop("selected","selected").change();else if("SELECT"===field.prop("tagName"))field.find("option[value=\""+parameter+"\"]").prop("selected","selected").change();else {var input=modal.find("[name=\""+param+"\"]");input.val(App.Fields.Double.formatToDisplay(parameter)),"individualTax"==param&&input.formatNumber();}}));},limitEnableSave:!1,checkLimits:function checkLimits(){var self=this,account=this.getAccountId(),limit=parseInt(app.getMainParams("inventoryLimit")),response=!0;if(""==account||this.limitEnableSave||!limit)return response;var progressInstance=$.progressIndicator();return AppConnector.request({async:!1,dataType:"json",data:{module:app.getModuleName(),action:"Inventory",mode:"checkLimits",record:account,currency:this.getCurrency(),price:self.getSummaryGrossPrice()}}).done(function(data){progressInstance.hide(),!1==data.result.status&&(app.showModalWindow(data.result.html,function(){}),response=!1);}).fail(function(){progressInstance.hide();}),response},currencyChangeActions:function currencyChangeActions(select,option){option.data("baseCurrency")===select.val()?(this.currencyConvertValues(select,option),select.data("oldValue",select.val())):this.showCurrencyChangeModal(select,option);},showCurrencyChangeModal:function showCurrencyChangeModal(select,option){var self=this;if(!0!=self.lockCurrencyChange){self.lockCurrencyChange=!0;var block=select.closest("th"),modal=block.find(".modelContainer").clone();app.showModalWindow(modal,function(data){var modal=$(data);modal.find(".js-currency-tabs a").on("click",function(event){modal.find(".modal-body").find(".active").removeClass("active"),modal.find($(event.target).data("target")).tab("show");});var currencyParam=JSON.parse(block.find(".js-currencyparam").val());if(!1!=currencyParam){if("undefined"==typeof currencyParam[option.val()]){var defaultCurrencyParams={value:1,date:""};currencyParam[option.val()]=defaultCurrencyParams;}var vatForm=modal.find(".js-currency-tab-vat");if(vatForm.find(".currencyName").val(option.text()),vatForm.find(".currencyRate").val(App.Fields.Double.formatToDisplay(currencyParam[option.val()].value,App.Fields.Double.FORMAT_USER_WITHOUT_ROUNDING)),vatForm.find(".currencyDate").val(App.Fields.Date.dateToUserFormat(currencyParam[option.val()].date)),self.hasCitExchange()){var citForm=modal.find(".js-currency-tab-cit");citForm.find(".currencyName").val(option.text()),currencyParam[option.val()].hasOwnProperty("cit")?(citForm.find(".currencyRate").val(App.Fields.Double.formatToDisplay(currencyParam[option.val()].cit.value,App.Fields.Double.FORMAT_USER_WITHOUT_ROUNDING)),citForm.find(".currencyDate").val(App.Fields.Date.dateToUserFormat(currencyParam[option.val()].cit.date))):(citForm.find(".currencyRate").val(App.Fields.Double.formatToDisplay(currencyParam[option.val()].value,App.Fields.Double.FORMAT_USER_WITHOUT_ROUNDING)),citForm.find(".currencyDate").val(App.Fields.Date.dateToUserFormat(currencyParam[option.val()].date)));}}var ignoreDateChange=!1;modal.on("change",".currencyDate",function(event){if(ignoreDateChange)return void(ignoreDateChange=!1);var dateInput=$(event.target),currencyInput=modal.find(".js-currency-tab-"+dateInput.data("type")+" .currencyRate"),progressLoader=$.progressIndicator({blockInfo:{enabled:!0}}),requestedDate=dateInput.val();AppConnector.request({module:app.getModuleName(),action:"Inventory",mode:"getCurrencyData",date:requestedDate,currency:option.val()}).done(function(response){if(!response.success||!response.result.hasOwnProperty(option.val()))return app.errorLog("Incorrect date",response),currencyInput.val(1),void Vtiger_Helper_Js.showMessage({type:"error",textTrusted:!1,text:app.vtranslate("JS_INVENTORY_CURRENCY_EXCHANGE_FETCH_ERROR")});currencyInput.val(App.Fields.Double.formatToDisplay(response.result[option.val()].value,App.Fields.Double.FORMAT_USER_WITHOUT_ROUNDING));var responseDate=App.Fields.Date.dateToUserFormat(response.result[option.val()].date);responseDate!==requestedDate&&(ignoreDateChange=!0,dateInput.datepicker("update",responseDate)),progressLoader.progressIndicator({mode:"hide"});}).fail(function(error,err){progressLoader.progressIndicator({mode:"hide"}),Vtiger_Helper_Js.showMessage({type:"error",textTrusted:!1,text:app.vtranslate("JS_INVENTORY_CURRENCY_EXCHANGE_FETCH_ERROR")});});}),modal.on("click","button[type=\"submit\"]",function(){var vatData=self.getCurrencyFormValues(modal,".js-currency-tab-vat");if(option.data("conversionRate",vatData.conversionRate),currencyParam[option.val()]=vatData,self.hasCitExchange()){var citData=self.getCurrencyFormValues(modal,".js-currency-tab-cit");currencyParam[option.val()].cit=citData;}block.find(".js-currencyparam").val(JSON.stringify(currencyParam)),self.currencyConvertValues(select,option),select.data("oldValue",select.val()),app.hideModalWindow(),self.lockCurrencyChange=!1;}).one("hidden.bs.modal",function(){select.val(select.data("oldValue")).change(),self.lockCurrencyChange=!1;});});}},/**
		 * Returns values form currency change form modal
		 *
		 * @param modal
		 * @param type
		 * @returns {{date: *, rate: *, value: number, conversionRate: string}}
		 */getCurrencyFormValues:function getCurrencyFormValues(modal,type){var rate=modal.find(type).find(".currencyRate").val(),date=modal.find(type).find(".currencyDate").val(),value=App.Fields.Double.formatToDb(rate),conversionRate=1/value;return {date:App.Fields.Date.dateToDbFormat(App.Fields.Date.getDateInstance(date)),value:value,conversion:conversionRate}},currencyConvertValues:function currencyConvertValues(select,selected){var self=this,previous=select.find("option[value=\""+select.data("oldValue")+"\"]"),conversionRate=selected.data("conversionRate"),prevConversionRate=previous.data("conversionRate");conversionRate=parseFloat(conversionRate)/parseFloat(prevConversionRate),this.getInventoryItemsContainer().find(self.rowClass).each(function(_){var row=$(this);self.syncHeaderData(row),self.setUnitPrice(row,self.getUnitPriceValue(row)*conversionRate),self.setPurchase(row,self.getPurchase(row)*conversionRate),self.quantityChangeActions(row);});},/**
		 * Set up all row data that comes from request
		 * @param {jQuery} row
		 * @param {object} rowData
		 */setRowData:function setRowData(row,rowData){this.setName(row,rowData.name,rowData.info.name),this.setQuantity(row,App.Fields.Double.formatToDisplay(rowData.qty,App.Fields.Double.FORMAT_TRUNCATE_TRAILING_ZEROS)),this.setUnit(row,rowData.info.autoFields.unit,rowData.info.autoFields.unitText),"undefined"!=typeof rowData.info.autoFields&&"undefined"!=typeof rowData.info.autoFields.subunit&&this.setSubUnit(row,rowData.info.autoFields.subunit,rowData.info.autoFields.subunitText),this.setComment(row,rowData.comment1),this.setUnitPrice(row,rowData.price),this.setNetPrice(row,rowData.net),this.setGrossPrice(row,rowData.gross),this.setTotalPrice(row,rowData.total),this.setDiscountParam(row,rowData.discountparam?JSON.parse(rowData.discountparam):[]),this.setDiscount(row,rowData.discount),this.setTaxParam(row,rowData.taxparam?JSON.parse(rowData.taxparam):[]),this.setTax(row,rowData.tax),this.setTaxPercent(row,rowData.tax_percent),this.setTaxName(row,rowData.taxname);},/**
		 * Add new row to inventory list
		 * @param {string} module
		 * @param {string} baseTableId
		 * @param {object|false} [rowData=false] [optional]
		 */addItem:function addItem(module,baseTableId){var rowData=!!(2<arguments.length&&void 0!==arguments[2])&&arguments[2],items=this.getInventoryItemsContainer(),newRow=this.getBasicRow(),sequenceNumber=this.getNextLineItemRowNumber(),replaced=newRow.html().replace(/\_NUM_/g,sequenceNumber),moduleLabels=newRow.data("moduleLbls");return newRow.html(replaced),newRow=newRow.find("tr.inventoryRow, tr.inventoryRowExpanded").appendTo(items.find(".js-inventory-items-body")),newRow.find(".rowName input[name=\"popupReferenceModule\"]").val(module).data("field",baseTableId),newRow.find(".js-module-icon").removeClass().addClass("yfm-".concat(module)),newRow.find(".rowName span.input-group-text").attr("data-content",moduleLabels[module]),newRow.find(".colPicklistField select").each(function(_,select){select=$(select),select.find("option").each(function(_,option){option=$(option),option.data("module")!==module&&option.remove();});}),this.initItem(newRow),Vtiger_Edit_Js.getInstance().registerAutoCompleteFields(newRow),rowData?(this.setRowData(newRow,rowData),this.quantityChangeActions(newRow)):this.itemChangeEvent(newRow),newRow},/**
		 * Item change post event
		 * @param {jQuery} row
		 */itemChangeEvent:function itemChangeEvent(row){var _this6=this;if(row.hasClass("inventoryRowGroup"))this.getItems().each(function(_,e){_this6.itemChangeEvent($(e));});else if(this.getDiscountMode()==this.DISCOUNT_MODE_GROUP){var parentRow=this.getGroupFromItem(row),params=parentRow?parentRow.find(".discountParam").val():null;this.setDiscountParam(row,params?JSON.parse(params):[]),this.pushChange("discountParam",row);}},/**
		 * Add header(group) item
		 * @returns
		 */addHeaderItem:function addHeaderItem(){var data=0<arguments.length&&void 0!==arguments[0]?arguments[0]:{},items=this.getInventoryItemsContainer(),newRow=this.getBasicRow();if(data.grouplabel){var value=data.grouplabel,el=newRow.find(".js-grouplabel");if(el.is("select")&&!_toConsumableArray(el.get(0).options).map(function(o){return o.value}).filter(function(e){return ""!==e}).includes(value)){var newOption=new Option(value,value,!0,!0);el.append(newOption);}el.val(value);}return newRow=newRow.find("tr.inventoryRowGroup").appendTo(items.find(".js-inventory-items-body")).attr("data-numgroup",2),this.initItem(newRow),newRow},/**
		 * Register add item button click
		 */registerAddItem:function registerAddItem(){var _this7=this;this.getContainer().find(".js-inv-add-item").on("click",function(e){_this7.addItem(e.currentTarget.dataset.module,e.currentTarget.dataset.field,!1);});},/**
		 * Register add header row
		 */registerAddHeaderItem:function registerAddHeaderItem(){var _this8=this;this.getContainer().find(".js-inv-add-group").on("click",function(){_this8.addHeaderItem();});},registerSortableItems:function registerSortableItems(){var self=this,items=self.getContainer();items.sortable({handle:".dragHandle",items:self.rowClass+",.inventoryRowGroup",revert:!0,tolerance:"pointer",placeholder:"ui-state-highlight",helper:function helper(_e,ui){return ui.children().each(function(_,element){element=$(element),element.width(element.width());}),ui},start:function start(_,ui){items.find(self.rowClass).each(function(_,element){var row=$(element);self.hideExpandedRow(row);});var num=$(ui.item).attr("numrow");items.find("[numrowex=\""+num+"\"] .js-inventory-item-comment").each(function(){App.Fields.Text.destroyEditor($(this));}),ui.item.startPos=ui.item.index();},stop:function stop(_,ui){var numrow=$(ui.item).attr("numrow"),child=items.find(".numRow"+numrow);items.find("[numrow=\""+numrow+"\"]").after(child),App.Fields.Text.Editor.register(child),self.updateRowSequence(),self.calculateItemNumbers(),self.itemChangeEvent(ui.item),self.pushChange("sortOrder");}});},registerShowHideExpanded:function registerShowHideExpanded(){var _this9=this;this.getInventoryItemsContainer().on("click",".toggleVisibility",function(e){var element=$(e.currentTarget),row=_this9.getClosestRow(element);0==element.data("status")?_this9.showExpandedRow(row):_this9.hideExpandedRow(row);});},/**
		 * Show/Hide group items
		 */registerShowHideExpandedGroup:function registerShowHideExpandedGroup(){var _this10=this;this.getInventoryItemsContainer().on("click",".js-inv-group-collapse-btn",function(e){var btn=$(e.currentTarget),icon=btn.find(".js-toggle-icon"),row=btn.closest("tr.inventoryRowGroup"),items=_this10.getGroupItems(row);icon.hasClass(icon.data("active"))?(items.find(".toggleVisibility.active").closest(".toggleVisibility").trigger("click"),items.addClass("d-none"),btn.removeClass("js-inv-group-collapse-btn__active")):(items.removeClass("d-none"),btn.addClass("js-inv-group-collapse-btn__active"));});},showAllItems:function showAllItems(){this.getGroups().find(".js-inv-group-collapse-btn:not(.js-inv-group-collapse-btn__active)").trigger("click");},registerPriceBookModal:function registerPriceBookModal(container){var _this11=this;container.find(".js-price-book-modal").on("click",function(e){var element=$(e.currentTarget),response=_this11.isRecordSelected(element);response||_this11.pricebooksModalHandler(element);});},registerRowChangeEvent:function registerRowChangeEvent(container){var _this12=this;container.on("focusout",".js-inv-format_number",function(e){$(e.currentTarget).formatNumber(e.currentTarget.dataset.format);}),container.on("focusout",".purchase",function(e){var element=$(e.currentTarget);element.formatNumber(App.Fields.Double.FORMAT_ROUND|App.Fields.Double.FORMAT_TRUNCATE_TRAILING_ZEROS),_this12.pushChange("purchase",_this12.getClosestRow(element));}),this.registerQuantityChangeEvent(container),this.registerUnitPriceChangeEvent(container),this.registerHeaderChangeEvents();},registerQuantityChangeEvent:function registerQuantityChangeEvent(container){var _this13=this,process=function process(element){element.formatNumber(App.Fields.Double.FORMAT_USER_WITHOUT_ROUNDING|App.Fields.Double.FORMAT_TRUNCATE_TRAILING_ZEROS),_this13.pushChange("quantity",_this13.getClosestRow(element));},updateQuantity=app.debounce(function(_,element){process(element);},700);container.on("input",".qty",function(e){var element=$(e.currentTarget);updateQuantity(_this13,element);}).on("focusout",".qty",function(e){e.preventDefault(),process($(e.currentTarget));});},registerUnitPriceChangeEvent:function registerUnitPriceChangeEvent(container){var _this14=this,process=function process(element){element.formatNumber(App.Fields.Double.FORMAT_ROUND|App.Fields.Double.FORMAT_TRUNCATE_TRAILING_ZEROS),_this14.pushChange("unitPrice",_this14.getClosestRow(element));},updateUnitPrice=app.debounce(function(_,element){process(element);},2e3);container.on("input",".unitPrice",function(e){var element=$(e.currentTarget);updateUnitPrice(_this14,element);}).on("focusout",".unitPrice",function(e){e.preventDefault(),process($(e.currentTarget));});},registerHeaderChangeEvents:function registerHeaderChangeEvents(){var _this15=this,headContainer=this.getInventoryHeadContainer();headContainer.on("change",".js-taxmode",function(){_this15.showIndividualTax();}),headContainer.on("change",".js-discountmode",function(e){var element=$(e.currentTarget),mode=parseInt(element.val());_this15.getContainer().find(".js-change-discount:not([data-mode=\"".concat(mode,"\"])")).addClass("d-none"),_this15.getContainer().find(".js-change-discount[data-mode=\"".concat(mode,"\"]")).removeClass("d-none");var items=_this15.getInventoryItemsContainer().find(".js-inventory-items-body");_this15.setDiscount(items,0),_this15.setDiscountParam(items,[]),_this15.rowsCalculations();});},registerSubProducts:function registerSubProducts(){var self=this;self.form.find(".inventoryItems "+self.rowClass).each(function(){self.loadSubProducts($(this),!1);});},/**
		 * Register clear reference selection
		 */registerClearReferenceSelection:function registerClearReferenceSelection(){var _this16=this;this.form.on("click",".clearReferenceSelection",function(e){var referenceGroup=$(e.currentTarget).closest("div.referenceGroup");if(referenceGroup.length)referenceGroup.find("input[id$=\"_display\"]").val("").removeAttr("readonly");else {var row=_this16.getClosestRow($(e.currentTarget));_this16.removeSubProducts(row),_this16.setUnitPrice(row,0),_this16.setTax(row,0),_this16.setTaxPercent(row,0),_this16.setDiscount(row,0),_this16.setMargin(row,0),_this16.setPurchase(row,0),row.find(".qty").val(1),row.find("textarea,.valueVal").val(""),row.find(".valueText").text(""),row.find(".qtyParamInfo").addClass("d-none"),row.find(".recordLabel").val("").removeAttr("readonly"),_this16.isGroupTaxMode()||_this16.setTaxParam(row,[]),_this16.pushChange("clearReferenceSelection",row);}});},registerDeleteLineItemEvent:function registerDeleteLineItemEvent(container){var _this17=this;container.on("click",".deleteRow",function(e){var num=_this17.getClosestRow($(e.currentTarget)).attr("numrow");_this17.deleteLineItem(num);}),container.on("click",".js-delete-header-item",function(e){$(e.currentTarget).closest("tr").remove(),_this17.syncHeaderData(),_this17.rowsCalculations();});},deleteLineItem:function deleteLineItem(num){this.getInventoryItemsContainer().find("[numrowex=\""+num+"\"] .js-inventory-item-comment").each(function(){App.Fields.Text.destroyEditor($(this));}),this.getInventoryItemsContainer().find("[numrow=\""+num+"\"], [numrowex=\""+num+"\"]").remove(),this.checkDeleteIcon(),this.rowsCalculations(),0===this.getInventoryItemsContainer().find(".inventoryRow").length&&$("#inventoryItemsNo").val(0),this.updateRowSequence();},DISCOUNT_MODE_GLOBAL:0,DISCOUNT_MODE_INDIVIDUAL:1,DISCOUNT_MODE_GROUP:2,calculateDiscount:function calculateDiscount(_row,modal){var globalDiscount,accountDiscount,individualDiscount,additionalDiscount,netPriceBeforeDiscount=App.Fields.Double.formatToDb(modal.find(".valueTotalPrice").text()),aggregationType=modal.find(".aggregationType").val(),isMarkup=1===modal.find(".js-inv--discount-type.markup:checked").length,valuePrices=netPriceBeforeDiscount,getValue=function getValue(type,netPrice,isMarkup){var value=0,element=modal.find(".js-active .".concat(type)),customCheckTrue=!0;return "groupValue"===type&&!0!==modal.find(".js-active .groupCheckbox").prop("checked")&&(customCheckTrue=!1),0<element.length&&customCheckTrue&&(value=App.Fields.Double.formatToDb(element.val())),"individualDiscountValue"===type&&"percentage"==modal.find(".js-active .individualDiscountType:checked").val()&&(value=netPrice*(value/100)),value&&isMarkup?-value:value};aggregationType==this.AGGREGATION_CANNOT_BE_COMBINED||aggregationType==this.AGGREGATION_IN_TOTAL?(globalDiscount=getValue("globalDiscount",netPriceBeforeDiscount,isMarkup),accountDiscount=getValue("groupValue",netPriceBeforeDiscount,isMarkup),individualDiscount=getValue("individualDiscountValue",netPriceBeforeDiscount,isMarkup),additionalDiscount=getValue("additionalDiscountValue",netPriceBeforeDiscount,isMarkup),valuePrices-=netPriceBeforeDiscount*(globalDiscount/100),valuePrices-=netPriceBeforeDiscount*(additionalDiscount/100),valuePrices-=individualDiscount,valuePrices-=netPriceBeforeDiscount*(accountDiscount/100)):aggregationType==this.AGGREGATION_CASCADE&&(globalDiscount=getValue("globalDiscount",valuePrices,isMarkup),valuePrices*=(100-globalDiscount)/100,accountDiscount=getValue("groupValue",valuePrices,isMarkup),valuePrices*=(100-accountDiscount)/100,individualDiscount=getValue("individualDiscountValue",valuePrices,isMarkup),valuePrices-=individualDiscount,additionalDiscount=getValue("additionalDiscountValue",valuePrices,isMarkup),valuePrices*=(100-additionalDiscount)/100);var discountValue=netPriceBeforeDiscount-valuePrices;modal.find(".valuePrices").text(App.Fields.Double.formatToDisplay(valuePrices)),modal.find(".valueDiscount").text(App.Fields.Double.formatToDisplay(isMarkup?-discountValue:discountValue));},registerChangeDiscount:function registerChangeDiscount(){var _this18=this;this.form.on("click",".js-change-discount",function(e){var parentRow,element=$(e.currentTarget),params={module:app.getModuleName(),view:"Inventory",mode:"showDiscounts",currency:_this18.getCurrency(),discountAggregation:_this18.getDiscountAggregation(),relatedRecord:_this18.getAccountId(),discountMode:e.currentTarget.dataset.mode};e.currentTarget.dataset.mode==_this18.DISCOUNT_MODE_GLOBAL?(parentRow=_this18.getInventoryItemsContainer(),params.totalPrice=App.Fields.Double.formatToDb(parentRow.find("tfoot .colTotalPrice").text())):e.currentTarget.dataset.mode==_this18.DISCOUNT_MODE_GROUP?(parentRow=element.closest("tr.inventoryRowGroup"),params.totalPrice=_this18.calculateSummary("totalPrice",_this18.getGroupItems(parentRow))):(parentRow=element.closest(_this18.rowClass),params.totalPrice=_this18.getTotalPrice(parentRow)),params.discountParam=parentRow.find(".discountParam").val();var progressInstance=$.progressIndicator();AppConnector.request(params).done(function(data){var modal=app.showModalWindow(data,function(data){_this18.registerChangeDiscountModal(data,parentRow,params);});_this18.calculateDiscount(parentRow,modal),progressInstance.hide();}).fail(function(){progressInstance.hide();});});},registerChangeDiscountModal:function registerChangeDiscountModal(modal,parentRow,params){var self=this,form=modal.find("form");form.validationEngine(app.validationEngineOptions),modal.on("change",".individualDiscountType",function(e){var element=$(e.currentTarget);modal.find(".individualDiscountContainer .input-group-text").text(element.data("symbol"));}),modal.on("change",".activeCheckbox[name=\"aggregationType\"]",function(e){var element=$(e.currentTarget);"checkbox"==element.attr("type")&&this.checked?(element.closest(".js-panel").find(".js-panel__body").removeClass("d-none"),element.closest(".js-panel").addClass("js-active")):"radio"==element.attr("type")?(modal.find(".js-panel").removeClass("js-active"),modal.find(".js-panel .js-panel__body").addClass("d-none"),element.closest(".js-panel").find(".js-panel__body").removeClass("d-none"),element.closest(".js-panel").addClass("js-active")):(element.closest(".js-panel").find(".js-panel__body").addClass("d-none"),element.closest(".js-panel").removeClass("js-active"));}),modal.on("change",".activeCheckbox, .globalDiscount,.individualDiscountValue,.individualDiscountType,.groupCheckbox,.additionalDiscountValue,.js-inv--discount-type",function(){self.calculateDiscount(parentRow,modal);}),modal.on("click",".js-save-discount",function(){!1===form.validationEngine("validate")||(self.saveDiscountsParameters(parentRow,modal),self.pushChange("discountChangeParams"),app.hideModalWindow());});},registerChangeTax:function registerChangeTax(){var self=this;self.form.on("click",".changeTax",function(e){var parentRow,element=$(e.currentTarget),params={module:app.getModuleName(),view:"Inventory",mode:"showTaxes",currency:self.getCurrency(),relatedRecord:self.getAccountId()};if(element.hasClass("js-inv-tax_global")){parentRow=self.getInventoryItemsContainer();var totalPrice=0;0<parentRow.find("tfoot .colNetPrice").length?totalPrice=parentRow.find("tfoot .colNetPrice").text():0<parentRow.find("tfoot .colTotalPrice ").length&&(totalPrice=parentRow.find("tfoot .colTotalPrice ").text()),params.totalPrice=App.Fields.Double.formatToDb(totalPrice),params.taxType=1;}else {parentRow=element.closest(self.rowClass);var sourceRecord=parentRow.find(".rowName .sourceField").val();params.totalPrice=self.getNetPrice(parentRow),params.taxType=0,sourceRecord&&(params.record=sourceRecord),params.recordModule=parentRow.find(".rowName [name=\"popupReferenceModule\"]").val();}var progressInstance=$.progressIndicator();AppConnector.request(params).done(function(data){app.showModalWindow(data,function(data){self.initTaxParameters(parentRow,$(data)),self.registerChangeTaxModal(data,parentRow,params);}),progressInstance.hide();}).fail(function(){progressInstance.hide();});});},lockCurrencyChange:!1,registerChangeCurrency:function registerChangeCurrency(){var _this19=this;this.getInventoryHeadContainer().on("change",".js-currency",function(e){var element=$(e.currentTarget),symbol=element.find("option:selected").data("conversionSymbol");_this19.currencyChangeActions(element,element.find("option:selected")),_this19.form.find(".currencySymbol").text(symbol);});},registerChangeDiscountAggregation:function registerChangeDiscountAggregation(){var _this20=this;this.getInventoryHeadContainer().on("change",".js-discount_aggreg",function(e){_this20.rowsCalculations();});},calculateTax:function calculateTax(_row,modal){var netPriceWithoutTax=App.Fields.Double.formatToDb(modal.find(".valueNetPrice").text()),valuePrices=netPriceWithoutTax,globalTax=0,groupTax=0,regionalTax=0,individualTax=0,taxType=modal.find(".taxsType").val();if("0"==taxType||"1"==taxType){if(0<modal.find(".js-active .globalTax").length&&(globalTax=App.Fields.Double.formatToDb(modal.find(".js-active .globalTax").val())),0<modal.find(".js-active .individualTaxValue").length){var value=App.Fields.Double.formatToDb(modal.find(".js-active .individualTaxValue").val());individualTax=value/100*valuePrices;}0<modal.find(".js-active .groupTax").length&&(groupTax=App.Fields.Double.formatToDb(modal.find(".groupTax").val()),groupTax=netPriceWithoutTax*(groupTax/100)),0<modal.find(".js-active .regionalTax").length&&(regionalTax=App.Fields.Double.formatToDb(modal.find(".regionalTax").val()),regionalTax=netPriceWithoutTax*(regionalTax/100)),valuePrices*=(100+globalTax)/100,valuePrices+=individualTax,valuePrices+=groupTax,valuePrices+=regionalTax;}else "2"==taxType&&modal.find(".js-active").each(function(){var panel=$(this);0<panel.find(".globalTax").length?valuePrices*=(100+App.Fields.Double.formatToDb(panel.find(".globalTax").val()))/100:0<panel.find(".groupTax").length?valuePrices*=(100+App.Fields.Double.formatToDb(panel.find(".groupTax").val()))/100:0<panel.find(".regionalTax").length?valuePrices*=(100+App.Fields.Double.formatToDb(panel.find(".regionalTax").val()))/100:0<panel.find(".individualTaxValue").length&&(valuePrices=(App.Fields.Double.formatToDb(panel.find(".individualTaxValue").val())+100)/100*valuePrices);});if(netPriceWithoutTax){var taxValue=100*((valuePrices-netPriceWithoutTax)/netPriceWithoutTax);modal.find(".js-tax-value").text(App.Fields.Double.formatToDisplay(taxValue));}modal.find(".valuePrices").text(App.Fields.Double.formatToDisplay(valuePrices)),modal.find(".valueTax").text(App.Fields.Double.formatToDisplay(valuePrices-netPriceWithoutTax));},registerChangeTaxModal:function registerChangeTaxModal(modal,parentRow,params){var self=this,form=modal.find("form");form.validationEngine(app.validationEngineOptions),self.calculateTax(parentRow,modal),modal.on("change",".individualTaxType",function(e){var element=$(e.currentTarget);modal.find(".individualTaxContainer .input-group-text").text(element.data("symbol"));}),modal.on("change",".activeCheckbox[name=\"aggregationType\"]",function(e){var element=$(e.currentTarget);"checkbox"==element.attr("type")&&this.checked?(element.closest(".js-panel").find(".js-panel__body").removeClass("d-none"),element.closest(".js-panel").addClass("js-active")):"radio"==element.attr("type")?(modal.find(".js-panel").removeClass("js-active"),modal.find(".js-panel .js-panel__body").addClass("d-none"),element.closest(".js-panel").find(".js-panel__body").removeClass("d-none"),element.closest(".js-panel").addClass("js-active")):(element.closest(".js-panel").find(".js-panel__body").addClass("d-none"),element.closest(".js-panel").removeClass("js-active"));}),modal.on("change",".activeCheckbox, .globalTax, .individualTaxValue, .groupTax, .regionalTax",function(){self.calculateTax(parentRow,modal);}),modal.on("click",".js-save-taxs",function(){if(!1!==form.validationEngine("validate")){self.saveTaxesParameters(parentRow,self.getTaxesParameters(modal));var globalTax=!!modal.find("[name=\"aggregationType\"][value=\"global\"]").is(":checked")&&modal.find("[name=\"globalTax\"] option:selected"),taxName=globalTax?globalTax.data("name"):"";self.setTaxName(parentRow,taxName),self.setBasicRowTaxName(taxName),"0"==params.taxType?self.pushChange("taxChange",parentRow):self.pushChange("taxChange"),app.hideModalWindow();}});},registerRowAutoComplete:function registerRowAutoComplete(container){var _this21=this,self=this,sourceFieldElement=container.find(".sourceField.js-name");sourceFieldElement.on(Vtiger_Edit_Js.referenceSelectionEvent,function(e,params){var record=params.record,element=$(e.currentTarget),parentRow=element.closest(self.rowClass),selectedModule=parentRow.find(".rowName [name=\"popupReferenceModule\"]").val(),formParam={module:app.getModuleName(),action:"Inventory",mode:"getDetails",record:record,fieldname:element.data("columnname")};_this21.getCurrency()&&(formParam.currency_id=_this21.getCurrency(),formParam.currencyParams=_this21.getInventoryHeadContainer().find(".js-currencyparam").val()),AppConnector.request(formParam).done(function(data){for(var id in data)if("object"==_typeof(data[id])){var recordData=data[id];self.mapResultsToFields(selectedModule,parentRow,recordData);}});});},/**
		 * Mass add entries.
		 */registerMassAddItem:function registerMassAddItem(){var _this22=this;this.getForm().on("click",".js-mass-add",function(e){var currentTarget=$(e.currentTarget),moduleName=currentTarget.data("module"),url=currentTarget.data("url");app.showRecordsList(url,function(_,instance){instance.setSelectEvent(function(data){for(var i in data){var parentElem=_this22.addItem(moduleName,"",!1,currentTarget.closest(".js-inv-container-content"));Vtiger_Edit_Js.getInstance().setReferenceFieldValue(parentElem.find(".rowName"),{name:data[i],id:i});}});});});},calculateItemNumbers:function calculateItemNumbers(){var items=this.getInventoryItemsContainer();if(!items.find(".itemNumberText").length)return null;var i=1;items.find(this.rowClass).each(function(_,e){$(e).find(".itemNumberText").text(i),i++;});},initItem:function initItem(container){var self=this;"undefined"==typeof container&&(container=self.getInventoryItemsContainer()),self.registerDeleteLineItemEvent(container),self.registerPriceBookModal(container),self.registerRowChangeEvent(container),self.registerRowAutoComplete(container),self.checkDeleteIcon(),self.updateRowSequence(),App.Fields.Picklist.showSelect2ElementView(container.find(".selectInv")),App.Fields.Date.register(container,!0,{},"dateFieldInv"),container.validationEngine("detach"),container.validationEngine(app.validationEngineOptions),App.Fields.Text.Editor.register(container),self.rowsCalculations();},/**
		 * Load inventory data for specified record
		 * @param {int} recordId
		 * @param {string} sourceModule
		 * @param {function|bool} success callback
		 * @param {function|bool} fail callback
		 * @returns Promise
		 */loadInventoryData:function loadInventoryData(recordId,sourceModule){var _this23=this,success=!!(2<arguments.length&&arguments[2]!==void 0)&&arguments[2],fail=!!(3<arguments.length&&arguments[3]!==void 0)&&arguments[3],progressLoader=$.progressIndicator({blockInfo:{enabled:!0}});return new Promise(function(resolve,reject){AppConnector.request({module:app.getModuleName(),src_module:sourceModule,src_record:recordId,action:"Inventory",mode:"getTableData",record:app.getRecordId()}).done(function(response){var activeModules=[];_this23.getContainer().find(".js-inv-add-item").each(function(_,addBtn){activeModules.push($(addBtn).data("module"));}),progressLoader.progressIndicator({mode:"hide"});var oldCurrencyChangeAction=_this23.currencyChangeActions;_this23.currencyChangeActions=function changeCurrencyActions(select,option){this.currencyConvertValues(select,option),select.data("oldValue",select.val());};var first=response.result[Object.keys(response.result)[0]];_this23.setCurrencyParam(first.currencyparam),_this23.setCurrency(first.currency),_this23.setDiscountMode(first.discountmode),_this23.setTaxMode(first.taxmode),_this23.currencyChangeActions=oldCurrencyChangeAction,_this23.clearInventory(),$.each(response.result,function(_,row){-1===activeModules.indexOf(row.moduleName)?Vtiger_Helper_Js.showMessage({type:"error",textTrusted:!1,text:app.vtranslate("JS_INVENTORY_ITEM_MODULE_NOT_FOUND").replace("${sourceModule}",row.moduleName).replace("${position}",row.info.name)}):(row.groupid&&row.add_header&&_this23.addHeaderItem(row),_this23.addItem(row.moduleName,row.basetableid,row));}),_this23.pushChange("dataLoad"),resolve(response.result),"function"==typeof success&&success(response.result);}).fail(function(error,err){progressLoader.progressIndicator({mode:"hide"}),reject(error,err),"function"==typeof fail&&fail(error,err);});})},/**
		 * Clear inventory data
		 */clearInventory:function clearInventory(){this.getInventoryItemsContainer().find(".deleteRow,.js-delete-header-item").each(function(_,e){$(e).trigger("click");});},/**
		 * Check if inventory data has changed
		 * @returns {Boolean}
		 */hasChanged:function hasChanged(){var previousData=this.inventoryData,currentData=this.getInventoryData();return JSON.stringify(previousData)!==JSON.stringify(currentData)},/**
		 * Register inventory change and request dynamic values recalculation
		 *
		 * @param changeEvent
		 * @param row
		 */pushChange:function pushChange(changeEvent,row){if(!this.hasChanged())return !1;var changeId=this.generateId(),events=[{events:[changeEvent],row:"undefined"==typeof row?null:row.attr("numrow")}];if(0<Object.entries(this.changesQueue).length)for(var id in this.changesQueue)events.push.apply(events,_toConsumableArray(this.changesQueue[id])),delete this.changesQueue[id];this.changesQueue[changeId]=events,this.requestRecalculation(changeId);},/**
		 * Gets current inventory data
		 * @returns {Object}
		 */getInventoryData:function getInventoryData(){var cache=!!(0<arguments.length&&void 0!==arguments[0])&&arguments[0],inventory={};return $("form#EditView input[name^=\"inventory\"]").serializeArray().forEach(function(input){var nameParts=input.name.split("[").map(function(element){return element.replace(/]/,"")});"undefined"==typeof inventory[nameParts[1]]&&(inventory[nameParts[1]]={}),"name_display"===nameParts[2]||(inventory[nameParts[1]][nameParts[2]]=input.value);}),Object.keys(inventory).forEach(function(rowIndex){("_NUM_"===rowIndex||""===inventory[rowIndex].name)&&delete inventory[rowIndex];}),cache&&(this.inventoryData=inventory),inventory},/**
		 * Send request to recalculate inventory values
		 *
		 * @param changeId
		 * @returns Promise
		 */requestRecalculation:function requestRecalculation(changeId){var _this24=this;return new Promise(function(resolve,reject){var inventory=_this24.getInventoryData(!0),changeEvent={};changeEvent[changeId]=_this24.changesQueue[changeId];var params={module:app.getModuleName(),action:"Inventory",mode:"recalculateValues",record:app.getRecordId(),change_event:JSON.stringify(changeEvent),inventory:JSON.stringify(inventory)};AppConnector.request(params).done(function(data){return data.success&&data.result?void(_this24.applyChanges(data.result),resolve(data.result)):(app.errorLog("Incorrect data",data),void Vtiger_Helper_Js.showMessage({type:"error",textTrusted:!1,text:app.vtranslate("JS_ERROR")}))}).fail(function(responseData){Vtiger_Helper_Js.showMessage({type:"error",textTrusted:!1,text:app.vtranslate("JS_ERROR")}),app.errorLog("Incorrect data",responseData),reject(!1);});})},/**
		 * Apply value changes from recalculation request to ui
		 *
		 * @param data
		 */applyChanges:function applyChanges(data){var _this25=this;if(!data.hasOwnProperty("change_event")||this.changesQueue.hasOwnProperty(Object.keys(data.change_event)[0])){for(var eventId in data.change_event){var _loop3=function _loop3(){var row=data.change_event[eventId][index].row;Object.keys(data.inventory).filter(function(rowId){return !row||parseInt(rowId)===row}).forEach(function(rowId){return _this25.applyRowChange(rowId,data.inventory[rowId])});};for(var index in data.change_event[eventId])_loop3();delete this.changesQueue[eventId];}this.setInventorySummary(data.summary),this.setDiscountSummary(data.discount_summary),this.setCurrencySummary(data.currency_summary),this.setTaxSummary(data.tax_summary),data.hasOwnProperty("groups_summary")&&Object.keys(data.groups_summary).length&&this.setGroupsSummary(data.groups_summary);}},/**
		 * Generate random Id
		 *
		 * @returns {string}
		 */generateId:function generateId(){var arr=new Uint8Array(10);return window.crypto.getRandomValues(arr),Array.from(arr,function(dec){return dec.toString(16).padStart(2,"0")}).join("")},/**
		 * Register currency converter
		 */registerCurrencyConverter:function registerCurrencyConverter(){var _this26=this;this.form.on("click",".js-currency-converter-event",function(e){var row=$(e.currentTarget).closest(_this26.rowClass),unitPrice=_this26.getUnitPriceValue(row)||0,currencyId=_this26.getCurrency();App.Components.CurrencyConverter.modalView({currencyId:currencyId,amount:App.Fields.Double.formatToDisplay(unitPrice),currencyParam:_this26.form.find(".js-currencyparam").val()}).done(function(data){var value;currencyId===data.currency_target_id?value=data.currency_target_value:currencyId===data.currency_base_id&&(value=data.currency_base_value),value&&(_this26.setUnitPrice(row,value,!0),_this26.quantityChangeActions(row));});});},/**
		 * Register head element events
		 */registerHeadEvents:function registerHeadEvents(){var _this27=this;this.getInventoryHeadContainer().find(".js-inv-currency_reset").on("click",function(e){app.showConfirmModal({textTrusted:!1,text:e.currentTarget.dataset.confirmation,confirmedCallback:function confirmedCallback(){AppConnector.request(e.currentTarget.dataset.url).done(function(response){response.result&&Object.keys(response.result).length&&(_this27.setCurrencyParam(JSON.stringify(response.result)),_this27.syncHeaderData());});}});});},/**
		 * Function which will register all the events
		 */registerEvents:function registerEvents(container){this.form=container,this.loadConfig(),this.registerInventorySaveData(),this.registerAddItem(),this.registerAddHeaderItem(),this.registerMassAddItem(),this.initItem(),this.registerSortableItems(),this.registerSubProducts(),this.registerChangeDiscount(),this.registerChangeTax(),this.registerClearReferenceSelection(),this.registerShowHideExpanded(),this.registerChangeCurrency(),this.registerChangeDiscountAggregation(),this.registerShowHideExpandedGroup(),app.registerBlockToggleEvent(container),this.registerCurrencyConverter(),this.registerHeadEvents();}});
//# sourceMappingURL=Inventory.min.js.map
